package ec.gp.semantic.geometry;

import ec.gp.semantic.*;

public class SimpleDoubleMidpointProvider implements IMidpointProvider<Double> {

	@Override
	public DesiredSemanticsBase<Double> getMidpoint(ISemantics semantics1, ISemantics semantics2) {
		return new DesiredSemanticsBase<Double>(semantics1.getMidpointBetweenMeAnd(semantics2));
	}

}
